CMAP-FB(1)

NAME
cmap-fb - load a colormap into a framebuffer

SYNOPSIS
cmap-fb [-h] [-o] [colormap]

DESCRIPTION
Cmap-fb loads a colormap into a framebuffer. A colormap file can be specified on the command line, otherwise standard input will be read. The format of the colormap input is described in cmap(5).

Any colormap entries not listed in the input will be set to zero (black), unless the -o flag is specified in which case the values currently in the framebuffer will be retained (one can view this as "overlaying" the existing colormap).

By default, the display is assumed to be 512x512 pixels; by specifying the -h flag, the size is changed to 1024x1024. This size distinction is important for devices like the Adage framebuffers which have different operating modes based on the display size.

SEE ALSO
brlcad(1), fbcmap(1), fb-cmap(1), fbcmrot(1), cmap(5)

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.